Package org.firebirdsql.jdbc

## Enum JaybirdType

- java.lang.Object
- - java.lang.Enum<JaybirdType>
  - - org.firebirdsql.jdbc.JaybirdType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JaybirdType>`, `java.sql.SQLType`

      @Volatile(reason="Defined types may receive a different type number when standardized in JDBC")
      public enum JaybirdType
      extends java.lang.Enum<JaybirdType>
      implements java.sql.SQLType

  `SQLType` definitions specific to Jaybird.
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DECFLOAT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getVendor()` |
    `java.lang.Integer` | `getVendorTypeNumber()` |
    `static JaybirdType` | `valueOf​(int type)` | Returns the `JaybirdType` for a `JaybirdTypeCodes` value.
    `static JaybirdType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JaybirdType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DECFLOAT

          @Volatile(reason="To be standardized by future version of JDBC, will be deprecated")
          public static final JaybirdType DECFLOAT

  - ### Method Detail

    - #### values

          public static JaybirdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JaybirdType c : JaybirdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JaybirdType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `java.sql.SQLType`

    - #### getVendor

          public java.lang.String getVendor()

      Specified by:
        `getVendor` in interface `java.sql.SQLType`

    - #### getVendorTypeNumber

          public java.lang.Integer getVendorTypeNumber()

      Specified by:
        `getVendorTypeNumber` in interface `java.sql.SQLType`

    - #### valueOf

          public static JaybirdType valueOf​(int type)

      Returns the `JaybirdType` for a `JaybirdTypeCodes` value.
      Parameters:
        `type` - `JaybirdTypeCodes` value
      Returns:
        The `JaybirdType` constant
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified `JaybirdTypeCodes` value